Create an agent binary download source

Base URL
https://{kibana_url}
  • POST /api/fleet/agent_download_sources
  • POST /s/{space_id}/api/fleet/agent_download_sources
Auth

Create a new agent binary download source.

Required privileges

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

host string · format: uri required
id string
is_default boolean · default: false
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

reserve_diskspace boolean

If true, Elastic Agent reserves disk space equal to the size of the new agent package before an upgrade, so the upgrade fails early if there is not enough space. If not set, defaults to true on the agent side.

Responses

Successful response

application/json
item object required
host string · format: uri required
id string required
is_default boolean · default: false
is_preconfigured boolean
name string required
proxy_id string nullable

The ID of the proxy to use for this download source. See the proxies API for more information.

reserve_diskspace boolean

If true, Elastic Agent reserves disk space equal to the size of the new agent package before an upgrade, so the upgrade fails early if there is not enough space. If not set, defaults to true on the agent side.

Base URL
https://{kibana_url}